Package generic.stl

# Class MapSTL<K,V>

java.lang.Object
generic.stl.MapSTL<K,V>

Direct Known Subclasses:
  `ComparableMapSTL`

public class MapSTL<K,V> extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `EOL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MapSTL(Comparator<K> comparator)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `add(K key, V value)`
  `IteratorSTL<Pair<K,V>>`
  `begin()`
  `void`
  `clear()`
  `boolean`
  `contains(K key)`
  `boolean`
  `empty()`
  `IteratorSTL<Pair<K,V>>`
  `end()`
  `void`
  `erase(IteratorSTL<Pair<K,V>> iter)`
  `void`
  `erase(IteratorSTL<Pair<K,V>> start, IteratorSTL<Pair<K,V>> end)`
  `V`
  `erase(K key)`
  `IteratorSTL<Pair<K,V>>`
  `find(K key)`
  `V`
  `get(K key)`
  `void`
  `insert(IteratorSTL<Pair<K,V>> start, IteratorSTL<Pair<K,V>> end)`
  `boolean`
  `isEmpty()`
  `IteratorSTL<Pair<K,V>>`
  `lower_bound(K key)`
  `void`
  `put(K key, V value)`
  `IteratorSTL<Pair<K,V>>`
  `rBegin()`
  `V`
  `remove(K key)`
  `IteratorSTL<Pair<K,V>>`
  `rEnd()`
  `int`
  `size()`
  `String`
  `toString()`
  `IteratorSTL<Pair<K,V>>`
  `upper_bound(K key)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### EOL

    public static final String EOL

- ## Constructor Details

  - ### MapSTL

    public MapSTL(Comparator<K> comparator)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### put

    public void put(K key, V value)

  - ### add

    public boolean add(K key, V value)

  - ### contains

    public boolean contains(K key)

  - ### remove

    public V remove(K key)

  - ### begin

    public IteratorSTL<Pair<K,V>> begin()

  - ### end

    public IteratorSTL<Pair<K,V>> end()

  - ### rBegin

    public IteratorSTL<Pair<K,V>> rBegin()

  - ### rEnd

    public IteratorSTL<Pair<K,V>> rEnd()

  - ### erase

    public V erase(K key)

  - ### empty

    public boolean empty()

  - ### lower_bound

    public IteratorSTL<Pair<K,V>> lower_bound(K key)

  - ### upper_bound

    public IteratorSTL<Pair<K,V>> upper_bound(K key)

  - ### isEmpty

    public boolean isEmpty()

  - ### clear

    public void clear()

  - ### erase

    public void erase(IteratorSTL<Pair<K,V>> iter)

  - ### erase

    public void erase(IteratorSTL<Pair<K,V>> start, IteratorSTL<Pair<K,V>> end)

  - ### get

    public V get(K key)

  - ### find

    public IteratorSTL<Pair<K,V>> find(K key)

  - ### size

    public int size()

  - ### insert

    public void insert(IteratorSTL<Pair<K,V>> start, IteratorSTL<Pair<K,V>> end)